// Code generated by mockery v2.14.0. DO NOT EDIT.

package mocks

import (
	models "kuber-crud/models"

	mock "github.com/stretchr/testify/mock"

	v1 "k8s.io/api/core/v1"
)

// ServiceInteractor is an autogenerated mock type for the ServiceInteractor type
type ServiceInteractor struct {
	mock.Mock
}

// Apply provides a mock function with given fields: val, group
func (_m *ServiceInteractor) Apply(val models.GenerateDTO, group string) (*models.Node, error) {
	ret := _m.Called(val, group)

	var r0 *models.Node
	if rf, ok := ret.Get(0).(func(models.GenerateDTO, string) *models.Node); ok {
		r0 = rf(val, group)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.Node)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(models.GenerateDTO, string) error); ok {
		r1 = rf(val, group)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// Delete provides a mock function with given fields: name
func (_m *ServiceInteractor) Delete(name string) error {
	ret := _m.Called(name)

	var r0 error
	if rf, ok := ret.Get(0).(func(string) error); ok {
		r0 = rf(name)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Get provides a mock function with given fields: name
func (_m *ServiceInteractor) Get(name string) (*models.Node, error) {
	ret := _m.Called(name)

	var r0 *models.Node
	if rf, ok := ret.Get(0).(func(string) *models.Node); ok {
		r0 = rf(name)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.Node)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string) error); ok {
		r1 = rf(name)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// HardRun provides a mock function with given fields: item
func (_m *ServiceInteractor) HardRun(item *v1.Service) (*models.Node, error) {
	ret := _m.Called(item)

	var r0 *models.Node
	if rf, ok := ret.Get(0).(func(*v1.Service) *models.Node); ok {
		r0 = rf(item)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.Node)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(*v1.Service) error); ok {
		r1 = rf(item)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

type mockConstructorTestingTNewServiceInteractor interface {
	mock.TestingT
	Cleanup(func())
}

// NewServiceInteractor creates a new instance of ServiceInteractor. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
func NewServiceInteractor(t mockConstructorTestingTNewServiceInteractor) *ServiceInteractor {
	mock := &ServiceInteractor{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
